datablock AudioProfile(SwingLarge1Sound)
{
   filename    = "./Sounds/SwingLarge1.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(SwingLarge2Sound)
{
   filename    = "./Sounds/SwingLarge2.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(SwingMedium1Sound)
{
   filename    = "./Sounds/SwingMedium1.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(SwingMedium2Sound)
{
   filename    = "./Sounds/SwingMedium2.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(MetalHit1Sound)
{
   filename    = "./Sounds/PickHit1.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(Tool1EquipSound)
{
   filename    = "./Sounds/Tool1Equip.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(PHitSound)
{
   filename    = "./Sounds/BBHP.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(PHit2Sound)
{
   filename    = "./Sounds/BBHP2.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(WHitSound)
{
   filename    = "./Sounds/BBHW.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(WHitTSound)
{
   filename    = "./Sounds/BBHW2.wav";
   description = AudioClose3d;
   preload = true;
};
datablock ParticleData(STPickAxeExplosionParticle)
{
   dragCoefficient      = 2;
   gravityCoefficient   = 1.0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/chunk";
   colors[0]     = "0.7 0.7 0.9 0.9";
   colors[1]     = "0.9 0.9 0.9 0.0";
   sizes[0]      = 0.1;
   sizes[1]      = 0.25;
};

datablock ParticleEmitterData(STPickAxeExplosionEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 0;
   ejectionVelocity = 8;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "STPickAxeExplosionParticle";
};

datablock ExplosionData(STPickAxeExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 500;

   soundProfile = WHitSound;

   particleEmitter = STPickAxeExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

};
datablock ParticleEmitterData(STPickAxeCritExplosionEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 0;
   ejectionVelocity = 8;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "STPickAxeExplosionParticle";
};

datablock ExplosionData(STPickAxeCritExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 500;

   soundProfile = WHitTSound;

   particleEmitter = STPickAxeExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

};
datablock ProjectileData(STPickAxeJabprojectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 7;
   directDamageType  = $DamageType::STPickAxe;

   explosion           = STPickAxeExplosion;
   //particleEmitter     = as;

   muzzleVelocity      = 10;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "SteelPickAxeJab";
};
AddDamageType("STPickAxe",   '<color:00FF00>Mined<color:FFFFFF> %1',    '%2 <color:00FF00>Mined %1',0.75,1);
datablock ProjectileData(STPickAxeLungeprojectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 15;
   directDamageType  = $DamageType::STPickAxe;

   explosion           = STPickAxeExplosion;
   //particleEmitter     = as;

   muzzleVelocity      = 10;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "SteelPickAxeLunge";
};
datablock ProjectileData(STPickAxeUPCutprojectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 15;
   directDamageType  = $DamageType::STPickAxe;

   explosion           = STPickAxeExplosion;

   muzzleVelocity      = 10;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "SteelPickAxeUPCut";
};

datablock ItemData(STPickAxeItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./Models/ItemSTPickAxe.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Steel PickAxe";
	iconName = "./Icon_STPickAxe";
	doColorShift = false;
	colorShiftColor = "0.25 0.25 0.25 1.000";
	image = DrawSTPickAxeImage;
	canDrop = true;
};

datablock ShapeBaseImageData(DrawSTPickAxeImage)
{
   shapeFile = "./Models/STPickAxe.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = STPickAxeItem;
   ammo = " ";
   projectile = STPickAxeProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   colorShiftColor = STPickAxeItem.colorShiftColor;

	stateName[0]                    = "Activate";
	stateTimeoutValue[0]            = 1.0;
	stateSequence[0]			  = "Draw";
	stateTransitionOnTimeout[0]     = "Ready";
	stateSound[0]			  = Tool1EquipSound;

	stateName[1]                    	= "Ready";
	stateScript[1]     = "onSetup";
};

datablock ShapeBaseImageData(STPickAxeImage)
{
   shapeFile = "./Models/STPickAxe.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = STPickAxeItem;
   ammo = " ";
   projectile = STPickAxeJabProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   colorShiftColor = STPickAxeItem.colorShiftColor;

	stateName[0]			= "Activate";
	stateTimeoutValue[0]		= 0.001;
	stateSequence[0]		= "Jab2";
	stateTransitionOnTimeout[0]	= "Ready";
	stateScript[0]			= "onHide";
	
	stateName[1]			= "Ready";
	stateTransitionOnTriggerDown[1]	= "Charge";
	stateAllowImageChange[1]	= true;
	
	stateName[2]                    = "Charge";
	stateScript[2]			= "onPreFire";
	stateTransitionOnTimeout[2]	= "Armed";
	stateTimeoutValue[2]            = 0.8;
	stateSequence[2]		= "Potential";
	stateWaitForTimeout[2]		= false;
	stateTransitionOnTriggerUp[2]	= "AbortCharge";
	stateAllowImageChange[2]        = false;
	
	stateName[3]			= "AbortCharge";
	stateTransitionOnTimeout[3]	= "Abortcharge2";
	stateTimeoutValue[3]		= 0.2;
	stateSequence[3]		= "Jab1";
	stateWaitForTimeout[3]		= true;
	stateAllowImageChange[3]	= false;
	stateSound[3]			= SwingMedium2Sound;
	stateAllowImageChange[3]	= false;
	
	stateName[4]			= "Armed";
	stateTransitionOnTimeout[4]	= "Strain";
	stateTimeoutValue[4]		= 0.1;
	stateWaitForTimeout[4]		= false;
	stateTransitionOnTriggerUp[4]	= "Fire";
	stateAllowImageChange[4]	= false;
	
	stateName[5]			= "Strain";
	stateTransitionOnTimeout[5]	= "Strain";
	stateTimeoutValue[5]		= 0.1;
	stateTransitionOnTriggerUp[5]	= "Fire";
	stateAllowImageChange[5]	= false;
	
	stateName[6]			= "Fire";
	stateTransitionOnTimeout[6]	= "Fire2";
	stateTimeoutValue[6]		= 0.2;
	stateSequence[6]		= "Pick1";
	stateWaitForTimeout[6]		= true;
	stateAllowImageChange[6]	= false;
	stateSound[6]			= SwingLarge2Sound;

	stateName[7]			= "AbortCharge2";
	stateTransitionOnTimeout[7]	= "Ready";
	stateTimeoutValue[7]		= 0.5;
	stateFire[7]			= true;
	stateSequence[7]		= "Jab2";
	stateScript[7]			= "onFire";
	stateWaitForTimeout[7]		= true;
	stateAllowImageChange[7]	= false;

	stateName[8]			= "Fire2";
	stateTransitionOnTimeout[8]	= "Ready";
	stateTimeoutValue[8]		= 1.0;
	stateFire[8]			= true;
	stateSequence[8]		= "Pick2";
	stateScript[8]			= "onFireLunge";
	stateWaitForTimeout[8]		= true;
	stateAllowImageChange[8]	= false;
};

datablock ShapeBaseImageData(STPickAxeBackImage)
{
  shapeFile = "./Models/ItemSTPickAxe.dts";
  emap = true;
  mountPoint = $BackSlot;
  offset = "0.1 -0.35 0.01";
  eyeOffset = "0 0 10";
  rotation = eulerToMatrix("-200 0 270");
  armReady = false;
  doColorShift = false;
};

function STPickAxeImage::onHide(%this,%obj,%slot)
{
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
}

function DrawSTPickAxeImage::onSetup(%this,%obj,%slot)
{
	%obj.mountImage(STPickAxeImage, 0, 0, 0);
}

function STPickAxeImage::onPreFire(%this,%obj,%slot)
{
	%obj.bowChargeTime = getSimTime();
}

function STPickAxeImage::onFire(%this,%obj,%slot)
{
   	%raycastWeaponRange = 3;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = STPickAxeJabProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 10;
   	%raycastDirectDamageType = $DamageType::STPickAxe;
	%raycastFromMuzzle	= false;

	%projectile = STPickAxeJabprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}

function STPickAxeImage::onFireLunge(%this,%obj,%slot)
{
   	%raycastWeaponRange = 3;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = STPickAxeLungeProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 15;
   	%raycastDirectDamageType = $DamageType::STPickAxe;
	%raycastFromMuzzle	= false;

	%projectile = STPickAxeLungeprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}
function STPickAxeMeleeImage::onFireUpCut(%this,%obj,%slot)
{
   	%raycastWeaponRange = 3;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = STPickAxeUpCutProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 15;
   	%raycastDirectDamageType = $DamageType::STPickAxe;
	%raycastFromMuzzle	= false;

	%projectile = STPickAxeUPCutprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}
function STPickAxeImage::onFire(%this, %obj, %slot)
{
	if(getRandom(0,1))
	{
		%this.raycastExplosionBrickSound = MetalHit1Sound;
		%this.raycastExplosionPlayerSound = PHitSound;
	}
	else
	{
		%this.raycastExplosionBrickSound = MetalHit1Sound;
		%this.raycastExplosionPlayerSound = PHit2Sound;
	}
	WeaponImage::onFire(%this, %obj, %slot);
}

function DrawSTPickAxeImage::onMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}

function DrawSTPickAxeImage::onUnMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(STPickAxeBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}

function STPickAxeImage::onMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}

function STPickAxeImage::onUnMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(STPickAxeBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}

package STPickAxeDropPackage
{
  function servercmdDropTool(%this,%slot)
  {
	parent::servercmdDropTool(%this,%slot);
	%this.player.schedule(5,unmountimage,1);
	%this.player.schedule(5,unmountimage,0);
  }
};
activatepackage(STPickAxeDropPackage);

package STPickAxeMelee
{
	function armor::onTrigger(%this, %obj, %triggerNum, %val)
	{
		%client = %obj.client;
		if(%triggerNum == 4 && %obj.isImageMounted(STPickAxeImage))
		{
			%obj.mountImage(STPickAxeMeleeImage, 0, 0, 0);
		}
		Parent::onTrigger(%this, %obj, %triggerNum, %val);
	}
};
activatePackage(STPickAxeMelee);

datablock ShapeBaseImageData(STPickAxeMeleeImage)
{
   shapeFile = "./Models/STPickAxe.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   rotation = eulerToMatrix("0 0 0");
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = STPickAxeItem;
   ammo = " ";
   projectile = STPickAxeProjectile;
   projectileType = Projectile;
   melee = true;
   canDrop = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   
   raycastWeaponRange = 3;
   raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   				$TypeMasks::PlayerObjectType |	//AI/Players
   				$TypeMasks::StaticObjectType |	//Static Shapes
   				$TypeMasks::TerrainObjectType;	//Terrain
   raycastExplosionProjectile = STPickAxeProjectile;
   raycastExplosionBrickSound = WHitSound;
   raycastExplosionPlayerSound = PHitSound;
   raycastDirectDamage = 15;
   raycastDirectDamageType = $DamageType::STPickAxeMelee;
   
	stateName[0]			= "Equip";
	stateTimeoutValue[0]		= 0.01;
	stateSequence[0]		= "strike2";
	stateTransitionOnTimeout[0]	= "Attack";
	//stateScript[0]			= "onEquip";

	stateName[1]			= "Attack";
	stateTimeoutValue[1]		= 0.3;
	stateWaitForTimeout[1]		= true;
	stateSound[1]			= SwingLarge1Sound;
	stateSequence[1]		= "strike";
	stateTransitionOnTimeout[1]	= "Att2";

	stateName[2]			= "UnEquip";
	stateTimeoutValue[2]		= 0.01;
	stateScript[2]			= "onUnEquip";

	stateName[3]			= "Att2";
	stateTimeoutValue[3]		= 1.0;
	stateWaitForTimeout[3]		= true;
	stateSequence[3]		= "strike2";
	stateFire[3]			= true;
	stateScript[3]			= "onFireUpCut";
	stateTransitionOnTimeout[3]	= "UnEquip";
};
function STPickAxeMeleeImage::onUnEquip(%this, %obj, %slot)
{
	%obj.unMountImage(0);
	%obj.MountImage(STPickAxeImage, 0, 0, 0);
}


function STPickAxeMeleeImage::onMount(%this, %obj, %slot)
{		
	Parent::onMount(%this,%obj,%slot);
	//%obj.playThread(1, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}


function STPickAxeMeleeImage::onUnMount(%this, %obj, %slot)
{	
	Parent::onUnMount(%this,%obj,%slot);
	//%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(STPickAxeBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}
function STPickAxeJabProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnSteelPickJab,%obj.client);

	}

}
function STPickAxeLungeProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnSteelPickLunge,%obj.client);

	}

}
function STPickAxeUpCutProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnSteelPickUpCut,%obj.client);

	}

}