//########## CpBow
datablock AudioProfile(CpBowWhizSound)
{
	filename="./Sounds/KS.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(CpBowpullSound)
{
	filename="./Sounds/CpBowPull.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(CpBowHitSound)
{
	filename="./Sounds/BB.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(CpBowFireSound)
{
	filename="./Sounds/CpBowfire.wav";
	description=AudioClose3d;
	preload=true;
};

datablock AudioProfile(CpFireShotSound)
{
	filename="./Sounds/CpFireShot.wav";
	description=AudioClose3d;
	preload=true;
};

datablock AudioProfile(CpIceExplodeSound)
{
	filename="./Sounds/CpIceExplode.wav";
	description=AudioClose3d;
	preload=true;
};

datablock AudioProfile(CpExpExplosionSound)
{
	filename="./Sounds/CpExpExplode.wav";
	description=AudioClose3d;
	preload=true;
};

datablock AudioProfile(CpBowemptySound)
{
	filename="./Sounds/Thunk.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(CpBowReloadSound)
{
	filename="./Sounds/CpBowReload.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock ParticleData(CpFireAmbientParticle)
{
	dragCoefficient = 1;
	windCoefficient = 1;
	gravityCoefficient = -0.4;
	inheritedVelFactor = 0.5;
	constantAcceleration = 0;
	lifetimeMS = 2000;
	lifetimeVarianceMS = 500;
	spinSpeed = 0;
	spinRandomMin = -900;
	spinRandomMax = 900;
	useInvAlpha = false;
	framesPerSec = 1;
	textureName = "base/data/particles/cloud";

	colors[0] = "1 0 0 1";
	colors[1] = "1 0.33 0 0.8";
	colors[2] = "1 0.67 0 0.5";
	colors[3] = "1 1 0 0.2";

	sizes[0] = 0.6;
	sizes[1] = 0.4;
	sizes[2] = 0.3;
	sizes[3] = 0.2;

	times[0] = 0;
	times[1] = 0.3;
	times[2] = 0.6;
	times[3] = 1;
};
datablock ParticleEmitterData(CpFireAmbientEmitter)
{
	ejectionPeriodMS = 20;
	periodVarianceMS = 5;
	ejectionVelocity = 2;
	velocityVariance = 1;
	ejectionOffset = 0;
	thetaMin = 45;
	thetaMax = 135;
	phiReferenceVel = 0;
	phiVariance = 360;
	particles = CpFireAmbientParticle;
	lifetimeMS = 0;
	lifetimeVarianceMS = 0;
};

datablock ParticleData(CpFireExplosionParticle)
{
	dragCoefficient = 1;
	gravityCoefficient = -0.4;
	inheritedVelFactor = 0.2;
	constantAcceleration = 0;
	lifetimeMS = 650;
	lifetimeVarianceMS = 350;
	textureName = "base/data/particles/cloud";
	spinSpeed = 10;
	spinRandomMin = -50;
	spinRandomMax = 50;

	colors[0] = "0.67 0 0 0.9";
	colors[1] = "0.67 0.2 0 0.8";
	colors[2] = "0.67 0.27 0.13 0.5";
	colors[3] = "0 0 0 0";

	sizes[0] = 1;
	sizes[1] = 1.5;
	sizes[2] = 2;
	sizes[3] = 2.5;

	times[0] = 0;
	times[1] = 0.3;
	times[2] = 0.6;
	times[3] = 1;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CpFireExplosionEmitter)
{
	ejectionPeriodMS = 3;
	periodVarianceMS = 0;
	ejectionVelocity = 10;
	velocityVariance = 1.0;
	ejectionOffset = 0.5;
	thetaMin = 0;
	thetaMax = 80;
	phiReferenceVel = 0;
	phiVariance = 360;
	overrideAdvance = false;
	particles = "CpFireExplosionParticle";
};

datablock ExplosionData(CpFireMExplosion)
{
	lifeTimeMS = 600;

	particleEmitter = CpFireExplosionEmitter;
	particleDensity = 25;
	particleRadius = 0.5;
	soundProfile = CpFireShotSound;
	
	faceViewer = true;
	explosionScale = "1 1 1";
	
	shakeCamera = false;
	camShakeFreq = "1 1 1";
	camShakeAmp = "1 1 1";
	camShakeDuration = 0;
	camShakeRadius = 0;

	lightStartRadius = 15;
	lightEndRadius = 0;
	lightStartColor = "1 0 0";
	lightEndColor = "1 1 0";

	radiusDamage = 15;
	damageRadius = 2;
};

datablock ParticleData(CpIceAmbientParticle)
{
	dragCoefficient = 1;
	windCoefficient = 0.5;
	gravityCoefficient = 0.1;
	inheritedVelFactor = 1;
	constantAcceleration = 0;
	lifetimeMS = 2500;
	lifetimeVarianceMS = 500;
	spinSpeed = 0;
	spinRandomMin = -200;
	spinRandomMax = 200;
	useInvAlpha = false;
	textureName = "base/data/particles/cloud";

	colors[0] = "1 1 1 0";
	colors[1] = "1 1 1 1";
	colors[2] = "0.5 1 1 0.8";
	colors[3] = "0 1 1 0";
	sizes[0] = 0.7;
	sizes[1] = 0.5;
	sizes[2] = 0.3;
	sizes[3] = 0.3;
	times[0] = 0;
	times[1] = 0.2;
	times[2] = 0.8;
	times[3] = 1;
};
datablock ParticleEmitterData(CpIceAmbientEmitter)
{
	ejectionPeriodMS = 75;
	periodVarianceMS = 25;
	ejectionVelocity = 0.6;
	velocityVariance = 0.5;
	ejectionOffset = 0.5;
	thetaMin = 0;
	thetaMax = 180;
	phiReferenceVel = 0;
	phiVariance = 360;
	particles = CpIceAmbientParticle;
	lifetimeMS = 0;
	lifetimeVarianceMS = 0;
};

datablock ParticleData(CpIceTrailParticle)
{
	dragCoefficient = 1;
	windCoefficient = 0.5;
	gravityCoefficient = 0.25;
	inheritedVelFactor = 0;
	constantAcceleration = 0;
	lifetimeMS = 1000;
	lifetimeVarianceMS = 500;
	spinSpeed = 0;
	spinRandomMin = -400;
	spinRandomMax = 400;
	useInvAlpha = false;
	textureName = "base/data/particles/cloud";

	colors[0] = "1 1 1 0";
	colors[1] = "1 1 1 1";
	colors[2] = "0.5 1 1 0.8";
	colors[3] = "0 1 1 0";
	sizes[0] = 0.7;
	sizes[1] = 0.5;
	sizes[2] = 0.3;
	sizes[3] = 0.3;
	times[0] = 0;
	times[1] = 0.1;
	times[2] = 0.8;
	times[3] = 1;
};
datablock ParticleEmitterData(CpIceTrailEmitter)
{
	ejectionPeriodMS = 8;
	periodVarianceMS = 0;
	ejectionVelocity = 2;
	velocityVariance = 1;
	ejectionOffset = 0;
	thetaMin = 0;
	thetaMax = 180;
	phiReferenceVel = 0;
	phiVariance = 360;
	particles = CpIceTrailParticle;
	lifetimeMS = 0;
	lifetimeVarianceMS = 0;
};

datablock ParticleData(CpIceExplosionParticle)
{
	dragCoefficient = 1;
	windCoefficient = 0.5;
	gravityCoefficient = 0;
	inheritedVelFactor = 0;
	constantAcceleration = 0;
	lifetimeMS = 5000;
	lifetimeVarianceMS = 1000;
	textureName = "base/data/particles/cloud";
	spinSpeed = 10;
	spinRandomMin = -50;
	spinRandomMax = 50;
	useInvAlpha = true;

	colors[0] = "1 1 1 0";
	colors[1] = "1 1 1 1";
	colors[2] = "0.5 1 1 0";
	sizes[0] = 1.5;
	sizes[1] = 2;
	sizes[2] = 3;
	times[0] = 0;
	times[1] = 0.2;
	times[2] = 1;
};
datablock ParticleEmitterData(CpIceExplosionEmitter)
{
	ejectionPeriodMS = 10;
	periodVarianceMS = 5;
	ejectionVelocity = 2;
	velocityVariance = 1;
	ejectionOffset = 0.5;
	thetaMin = 15;
	thetaMax = 75;
	phiReferenceVel = 0;
	phiVariance = 360;
	overrideAdvance = false;
	particles = "CpIceExplosionParticle";
};

datablock ExplosionData(CpIceExplosion)
{
	lifeTimeMS = 600;

	emitter[0] = CpIceTrailEmitter;

	particleEmitter = CpIceExplosionEmitter;
	particleDensity = 15;
	particleRadius = 1;
	soundProfile = CpIceExplodeSound;
	
	faceViewer = true;
	explosionScale = "1 1 1";
	
	shakeCamera = false;
	camShakeFreq = "1 1 1";
	camShakeAmp = "1 1 1";
	camShakeDuration = 0;
	camShakeRadius = 0;

	lightStartRadius = 15;
	lightEndRadius = 0;
	lightStartColor = "1 1 1";
	lightEndColor = "0 1 1";
	
	damageRadius = 3;
	radiusDamage = 100;
};

datablock ExplosionData(CpExpexplosion)
{
   explosionShape = "add-ons/Weapon_Rocket Launcher/explosionSphere1.dts";
   soundProfile = CPExpExplosionSound;

   lifeTimeMS = 150;

   particleEmitter = rocketExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "0.5 0.5 0.5";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 1;
   lightEndRadius = 0;
   lightStartColor = "0.9 0.9 0";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 1;
   impulseForce = 500;

   //radius damage
   damageRadius = 10;
   radiusDamage = 150;

};

datablock ParticleData(CpExpExplosionParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 400;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.9 0.9 0.6 0.9";
	colors[1]     = "0.9 0.5 0.6 0.0";
	sizes[0]      = 10.0;
	sizes[1]      = 15.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(CpExpExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 3.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CpExpExplosionParticle";

   emitterNode = TenthEmitterNode;
};


datablock ParticleData(CpExpExplosionRingParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 40;
	lifetimeVarianceMS   = 10;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1 0.5 0.2 0.5";
	colors[1]     = "0.9 0.0 0.0 0.0";
	sizes[0]      = 8;
	sizes[1]      = 13;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CpExpExplosionRingEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CpExpExplosionRingParticle";
};

datablock ParticleData(arrowTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 200;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]	= "1 1 1 0.2";
	colors[1]	= "1 1 1 0.0";
	sizes[0]	= 0.2;
	sizes[1]	= 0.01;
	times[0]	= 0.0;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(arrowTrailEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = arrowTrailParticle;

   useEmitterColors = true;
};

//effects
datablock ParticleData(arrowStickExplosionParticle)
{
	dragCoefficient      = 5;
	gravityCoefficient   = 0.1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/chunk";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.9 0.9 0.6 0.9";
	colors[1]     = "0.9 0.5 0.6 0.0";
	sizes[0]      = 0.25;
	sizes[1]      = 0.0;
};
datablock ParticleEmitterData(arrowStickExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 80;
   thetaMax         = 80;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "arrowStickExplosionParticle";

   useEmitterColors = true;
};
datablock ExplosionData(arrowStickExplosion)
{
   //explosionShape = "";
	soundProfile = arrowHitSound;

   lifeTimeMS = 150;

   particleEmitter = arrowStickExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   emitter[0] = "";

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 1;
   lightStartColor = "0.3 0.6 0.7";
   lightEndColor = "0 0 0";
};



datablock ParticleData(arrowExplosionParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = -0.3;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.5 0.5 0.5 0.9";
	colors[1]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 0.45;
	sizes[1]      = 0.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(arrowExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 3;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "arrowExplosionParticle";

   useEmitterColors = true;
};
datablock ExplosionData(arrowExplosion)
{
   //explosionShape = "";
	soundProfile = "";

   lifeTimeMS = 50;

   emitter[0] = arrowExplosionEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 1;
   lightStartColor = "0.3 0.6 0.7";
   lightEndColor = "0 0 0";
};

AddDamageType("CpBow",   '<color:00FF00>Ranged<color:FFFFFF> %1',    '%2 <color:00FF00>Ranged %1',0.75,1);
datablock ProjectileData(CpBowRegProjectile)
{
	uiName="";
	projectileShapeName="Add-Ons/Weapon_ZLRP_Pack/Models/Arrow.dts";
   	directDamage        = 30;
   	directDamageType    = $DamageType::CpBow;
   	radiusDamage        = 0;
   	damageRadius        = 0;
   	radiusDamageType    = $DamageType::CpBow;
	brickExplosionRadius=0;
	brickExplosionImpact=false;
	brickExplosionForce=30;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	impactImpulse=60;
	muzzleVelocity=90;
	verInheritFactor=1;
   	stickExplosion        = arrowStickExplosion;
   	explodeOnPlayerImpact = true;
   	explodeOnDeath        = true;  
	lifetime=30000;
	fadeDelay=29900;
   	armingDelay= 30000;
   	bounceAngle= 170;
   	minStickVelocity= 10;
	bounceElasticity=0.2;
	bounceFriction=0.2;
	isBallistic=true;
	gravityMod=1.0;
	sound=CpBowWhizSound;

};

AddDamageType("CpBowFire",   '<color:00FF00>RangedFire<color:FFFFFF> %1',    '%2 <color:00FF00>RangedFire %1',0.75,1);
datablock ProjectileData(CpBowFireProjectile)
{
	uiName="";
	projectileShapeName="Add-Ons/Weapon_ZLRP_Pack/Models/Arrow.dts";
   	directDamage        = 30;
   	directDamageType    = $DamageType::CpBowFire;
   	radiusDamage        = 10;
   	damageRadius        = 0;
   	radiusDamageType    = $DamageType::CpBowFire;
   	explosion = CpFireMExplosion;
   	particleEmitter = CpFireAmbientEmitter;impactImpulse=60;
	muzzleVelocity=90;verInheritFactor=1;explodeOnPlayerImpact = true;explodeOnDeath        = true;  lifetime=30000;fadeDelay=29900;armingDelay= 0;bounceAngle= 170;minStickVelocity= 10;bounceElasticity=0.2;bounceFriction=0.2;isBallistic=true;gravityMod=1.0;
	sound=CpBowWhizSound;

};
function CpBowFireProjectile::onCollision(%this, %obj, %col, %fade, %pos, %normal)
{
	if(%col.getClassName() $= "TSStatic")
	{
		if(%col.shapeName $= "Add-Ons/Weapon_ZLRP_Pack/OtherShapes/IceBlock.dts")
		{
			if(isObject(%col.player))
			{
				%col.player.thaw();
			}
			%col.delete();
		}
	}
	parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
}

function CpBowFireProjectile::RadiusDamage(%this, %obj, %col, %distance, %pos, %amt)
{
	if(!isObject(%col))
	{
		return;
	}
	%col.damage(%obj, %pos, 15 * getWord(%col.getScale(), 2), $DamageType::CpBowFire);
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
AddDamageType("CpBowIce",   '<color:00FF00>RangedIce<color:FFFFFF> %1',    '%2 <color:00FF00>RangedIce %1',0.75,1);
datablock ProjectileData(CpBowIceProjectile)
{
	uiName="";
	projectileShapeName="Add-Ons/Weapon_ZLRP_Pack/Models/Arrow.dts";
   	directDamage        = 35;
   	directDamageType    = $DamageType::CpBowIce;
   	radiusDamageType    = $DamageType::CpBowIce;

	brickExplosionRadius = 0;
	brickExplosionImpact = true;
	brickExplosionForce = 0;
	brickExplosionMaxVolume = 1;
	brickExplosionMaxVolumeFloating = 2;

   	explosion = CpIceMExplosion;
   	particleEmitter = CpIceTrailEmitter;impactImpulse=60;
	muzzleVelocity=90;verInheritFactor=1;  lifetime=30000;fadeDelay=29900;armingDelay= 0;bounceAngle= 170;minStickVelocity= 10;bounceElasticity=0.2;bounceFriction=0.2;isBallistic=true;gravityMod=1.0;
	sound=CpBowWhizSound;
	hasLight = true;
	lightRadius = 5;
	lightColor = "0.5 1 1";

};

datablock StaticShapeData(CpIceBlockData)
{
	category = "Statics";
	shapeFile = "Add-Ons/Weapon_ZLRP_Pack/OtherShapes/IceBlock.dts";
	skinName = 'null';
};

function CpBowIceProjectile::Damage(%this, %obj, %col, %fade, %pos, %normal)
{
	if(%col.getType() & $Typemasks::PlayerObjectType && (%col.lastFreezeTime + 10000) < getSimTime() && %col.getMountedImage(0) != CpBowFireImage.getID())
	{
		%col.lastFreezeTime = getSimTime();
		%col.setVelocity("0 0 0");
		//Variables for thaw function
		%col.thawData = %col.getDatablock();
		%col.thawImg0 = %col.getMountedImage(0);
		%col.thawImg1 = %col.getMountedImage(1);
		%col.thawClient = %col.getControllingClient();
		if(!isObject(%col.client))
		{
			%col.thawSched = %col.schedule(5000, thaw);
		}
		else
		{
			%col.client.thawSched = %col.client.schedule(5000, thaw);
		}
		//Stop player from being able to do anything in case they're a bot
		%col.unmountImage(0);
		%col.unmountImage(1);
		%col.setDatablock(PlayerNoMoveArmor);
		if(isObject(%client = %col.getControllingClient()) && isObject(%client.camera))
		{
			%client.camera.frozen = true;
			%client.camera.setMode("Corpse", %col);
			%client.setControlObject(%client.camera);
		}
		%scale = %col.getScale();
		%nPos = %col.getPosition();
		%rot = rotFromTransform(%col.getTransform());
		%block = new TSstatic()
		{
			datablock = CpIceBlockData;
			shapeName = "Add-Ons/Weapon_ZLRP_Pack/OtherShapes/IceBlock.dts";
			position = %nPos;
			rotation = %rot;
			scale = %scale;
			player = %col;
		};
		MissionCleanup.add(%block);
		%block.schedule(5000, spawnCpIceExplosion, %block, %nPos, getWord(%scale, 2));
		%block.schedule(5000, delete);
	}
}

function GameConnection::Thaw(%client)
{
	if(isObject(%client.camera) && %client.getControlObject() == %client.camera || !isObject(%client.getControlObject()))
	{
		%client.camera.unmountImage(0);
		%client.camera.frozen = false;
	}
	if(isObject(%obj = %client.player))
	{
		if(%obj.getDamagePercent() < 1)
		{
			%client.setControlObject(%obj);
			%obj.setDatablock(%obj.thawData);
		}
		for(%i = 0; %i < 1; %i++)
		{
			if(isObject(%obj.thawImg[%i]))
			{
				%obj.mountImage(%obj.thawImg[%i], %i);
			}
		}
	}
}
function Player::Thaw(%obj)
{
	%obj.setDatablock(%obj.thawData);
	for(%i = 0; %i < 1; %i++)
	{
		if(isObject(%obj.thawImg[%i]))
		{
			%obj.mountImage(%obj.thawImg[%i], %i);
		}
	}
	if(isObject(%obj.thawClient.camera) && %obj.thawClient.getControlObject() == %obj.thawClient.camera)
	{
		%obj.thawClient.camera.unmountImage(0); //Just in case they were flying around
		%obj.thawClient.camera.frozen = false;
		%obj.thawClient.setControlObject(%obj);
	}
}

function TSstatic::SpawnCpIceExplosion(%obj, %pos, %scale)
{
	%proj = new projectile()
	{
		datablock = CpBowIceProjectile;
		initialPosition = vectorAdd(%pos, "0 0" @ %scale);
		initialVelocity = "0 0 5";
		scale = %scale SPC %scale SPC %scale;
		sourceObject = "";
		sourceSlot = 0;
		client = "";
		hot = true;
	};
	%proj.schedule(33, explode);
}

function CpBowIceProjectile::onCollision(%this, %obj, %col, %fade, %pos, %normal)
{
		parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
		if(%col.getType() & $TypeMasks::InteriorObjectType || %col.getType() & $TypeMasks::FxBrickObjectType || %col.getType() & $TypeMasks::TerrainObjectType)
		{
			%scale = getWord(%obj.getScale(), 2);
			%block = new TSstatic()
			{
				datablock = CpIceBlockData;
				shapeName = "Add-Ons/Weapon_ZLRP_Pack/OtherShapes/IceBlock.dts";
				position = %pos;
				rotation = "0 0 0 0";
				scale = %scale SPC %scale SPC %scale;
			};
			MissionCleanup.add(%block);
			%block.schedule(5000, 0, spawnCpIceExplosion, %block, %pos, %scale);
			%block.schedule(5000, delete);
		}
}
package CpMagicIce
{
	function player::mountImage(%obj, %image, %slot)
	{
		if(%obj.getDatablock() == PlayerNoMoveArmor.getID())
		{
			return;
		}
		parent::mountImage(%obj, %image, %slot);
	}
	function observer::onTrigger(%this, %obj, %slot, %val)
	{
		if(%obj.frozen)
		{
			return;
		}
		parent::onTrigger(%this, %obj, %slot, %val);
	}
	function GameConnection::onDeath(%this, %sObj, %sClient, %dType, %dLoc)
	{
		parent::onDeath(%this, %sObj, %sClient, %dType, %dLoc);
		if(!isObject(%this.getControlObject()))
		{
			%this.setControlObject(%this.camera);
			%this.camera.setMode("Corpse", %this.player);
		}
	}
};
activatePackage(CpMagicIce);
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
AddDamageType("CpBowExp",   '<color:00FF00>RangedExp<color:FFFFFF> %1',    '%2 <color:00FF00>RangedExp %1',0.75,1);
datablock ProjectileData(CpBowExpProjectile)
{
	uiName="";
	projectileShapeName="Add-Ons/Weapon_ZLRP_Pack/Models/ArrowExp.dts";
   	directDamage        = 30;
   	directDamageType    = $DamageType::CpBowExp;
   	radiusDamage        = 10;
   	radiusDamageType    = $DamageType::CpBowExp;
	brickExplosionRadius=0;
	brickExplosionImpact=false;
	brickExplosionForce=0;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	impactImpulse=60;
	muzzleVelocity=70;
	verInheritFactor=1;
   	explosion             = CpExpExplosion;
   	particleEmitter       = arrowTrailEmitter;
   	explodeOnDeath	     = true;
	lifetime=30000;
	fadeDelay=29900;
   	armingDelay= 0;
   	bounceAngle= 170;
   	minStickVelocity= 170;
	bounceElasticity=0.2;
	bounceFriction=0.2;
	isBallistic=true;
	gravityMod=1.0;
	sound=CpBowWhizSound;

};
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
datablock ItemData(CpBowItem)
{
	uiName="CpBow";
	iconName="./icon_CPBow";
	image=CpBowimage;
	category=Weapon;
	className=Weapon;
	shapeFile="./Models/DumZLRPCompBow.dts";
	mass=1;
	density=0.2;
	elasticity=0;
	friction=0.6;
	emap=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
	canDrop=true;
	maxAmmo = 1;
	canReload = 1;
};

datablock shapeBaseimageData(CpBowimage)
{
	shapeFile="./Models/ZLRPCompBow.dts";
	emap=true;
	correctMuzzleVector=true;
	className="Weaponimage";
	item=CpBowItem;
	ammo="";
	projectile=CpBowRegProjectile;
	projectileType=Projectile;
	melee=true;
	doReaction=false;
	armReady=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
   	mountPoint = 0;
   	offset = "0 0 0";
   	eyeOffset = "-0.1 0 -2.28";
   	rotation = eulerToMatrix( "0 0 0" );
	
	stateName[0]                    = "Activate";
	stateSequence[0]		= "Draw";
	stateTimeoutValue[0]            = 1.5;
	stateTransitionOnTimeout[0]     = "LoadCheckA";
	stateScript[0]                  = "onHide";

	stateName[1]                    = "Ready";
	stateTransitionOnNoAmmo[1]	= "ClipOut";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.5;
	stateTransitionOnTimeout[2]     = "Prep";
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateScript[2]                  = "onFire";
	stateSequence[2]		= "Fire";
	stateWaitForTimeout[2]		= true;
	stateSound[2]			= CpBowFireSound;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateTimeoutValue[3]	= 0.4;
	stateSequence[3]		= "Prep";
	stateTransitionOnTimeout[3]	= "FireLoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.01;
	stateAllowImageChange[4]        = true;
	stateScript[4]                  = "";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "ReadyWeap3";
	stateTransitionOnNoAmmo[6]		= "ReloadWait";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateScript[8]				= "onReloadStart";
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	stateSound[8]				= ASM200clipoutSound;
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateScript[10]				= "onReloaded";
	stateTransitionOnTimeout[10]		= "Ready";
	
	stateName[11]				= "FireLoadCheckA";
	stateScript[11]				= "onLoadCheck";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "FireLoadCheckB";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	stateTimeoutValue[13] 			= 0.00001;
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 1.0;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Pull";
	stateTransitionOnTimeout[15]	= "Set";
	stateSound[15]				= CpBowPullSound;
	stateWaitForTimeout[15]	= false;

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 3.0;
	stateWaitForTimeout[16]		= false;

	stateName[17] 			= "Abort";
	stateSequence[17]		= "Prep";
	stateTransitionOnTimeout[17]	= "Ready";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.4;
};
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
datablock shapeBaseimageData(CpBowFireimage)
{
	shapeFile="./Models/ZLRPCompBow.dts";
	emap=true;
	correctMuzzleVector=true;
	className="Weaponimage";
	item=CpBowItem;
	ammo="";
	projectile=CpBowFireProjectile;
	projectileType=Projectile;
	melee=true;
	doReaction=false;
	armReady=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
   	mountPoint = 0;
   	offset = "0 0 0";
   	eyeOffset = "-0.1 0 -2.28";
   	rotation = eulerToMatrix( "0 0 0" );
	
	stateName[0]                    = "Activate";
	stateSequence[0]		= "Draw";
	stateTimeoutValue[0]            = 1.5;
	stateTransitionOnTimeout[0]     = "LoadCheckA";
	stateScript[0]                  = "onHide";

	stateName[1]                    = "Ready";
	stateTransitionOnNoAmmo[1]	= "ClipOut";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.5;
	stateTransitionOnTimeout[2]     = "Prep";
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateScript[2]                  = "onFire";
	stateSequence[2]		= "Fire";
	stateWaitForTimeout[2]		= true;
	stateSound[2]			= CpBowFireSound;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateTimeoutValue[3]	= 0.4;
	stateSequence[3]		= "Prep";
	stateTransitionOnTimeout[3]	= "FireLoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.01;
	stateAllowImageChange[4]        = true;
	stateScript[4]                  = "";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "ReadyWeap3";
	stateTransitionOnNoAmmo[6]		= "ReloadWait";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateScript[8]				= "onReloadStart";
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	stateSound[8]				= ASM200clipoutSound;
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateScript[10]				= "onReloaded";
	stateTransitionOnTimeout[10]		= "Ready";
	
	stateName[11]				= "FireLoadCheckA";
	stateScript[11]				= "onLoadCheck";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "FireLoadCheckB";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	stateTimeoutValue[13] 			= 0.00001;
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 1.0;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Pull";
	stateTransitionOnTimeout[15]	= "Set";
	stateSound[15]				= CpBowPullSound;
	stateWaitForTimeout[15]	= false;
	stateEmitter[15]			= CpFireAmbientEmitter;
	stateEmitterTime[15]		= 0.01;
	stateEmitterNode[15]		= "muzzleNode";

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 3.0;
	stateWaitForTimeout[16]		= false;
	stateEmitter[16]			= CpFireAmbientEmitter;
	stateEmitterTime[16]		= 0.01;
	stateEmitterNode[16]		= "muzzleNode";

	stateName[17] 			= "Abort";
	stateSequence[17]		= "Prep";
	stateTransitionOnTimeout[17]	= "Ready";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.4;
};
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
datablock shapeBaseimageData(CpBowIceimage)
{
	shapeFile="./Models/ZLRPCompBow.dts";
	emap=true;
	correctMuzzleVector=true;
	className="Weaponimage";
	item=CpBowItem;
	ammo="";
	projectile=CpBowIceProjectile;
	projectileType=Projectile;
	melee=true;
	doReaction=false;
	armReady=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
   	mountPoint = 0;
   	offset = "0 0 0";
   	eyeOffset = "-0.1 0 -2.28";
   	rotation = eulerToMatrix( "0 0 0" );
	
	stateName[0]                    = "Activate";
	stateSequence[0]		= "Draw";
	stateTimeoutValue[0]            = 1.5;
	stateTransitionOnTimeout[0]     = "LoadCheckA";
	stateScript[0]                  = "onHide";

	stateName[1]                    = "Ready";
	stateTransitionOnNoAmmo[1]	= "ClipOut";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.5;
	stateTransitionOnTimeout[2]     = "Prep";
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateScript[2]                  = "onFire";
	stateSequence[2]		= "Fire";
	stateWaitForTimeout[2]		= true;
	stateSound[2]			= CpBowFireSound;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateTimeoutValue[3]	= 0.4;
	stateSequence[3]		= "Prep";
	stateTransitionOnTimeout[3]	= "FireLoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.01;
	stateAllowImageChange[4]        = true;
	stateScript[4]                  = "";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "ReadyWeap3";
	stateTransitionOnNoAmmo[6]		= "ReloadWait";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateScript[8]				= "onReloadStart";
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	stateSound[8]				= ASM200clipoutSound;
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateScript[10]				= "onReloaded";
	stateTransitionOnTimeout[10]		= "Ready";
	
	stateName[11]				= "FireLoadCheckA";
	stateScript[11]				= "onLoadCheck";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "FireLoadCheckB";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	stateTimeoutValue[13] 			= 0.00001;
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 1.0;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Pull";
	stateTransitionOnTimeout[15]	= "Set";
	stateSound[15]				= CpBowPullSound;
	stateWaitForTimeout[15]	= false;
	stateEmitter[15]			= CpIceAmbientEmitter;
	stateEmitterTime[15]		= 0.01;
	stateEmitterNode[15]		= "muzzleNode";

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 3.0;
	stateWaitForTimeout[16]		= false;
	stateEmitter[16]			= CpIceAmbientEmitter;
	stateEmitterTime[16]		= 0.01;
	stateEmitterNode[16]		= "muzzleNode";

	stateName[17] 			= "Abort";
	stateSequence[17]		= "Prep";
	stateTransitionOnTimeout[17]	= "Ready";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.4;
};
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
datablock shapeBaseimageData(CpBowExpimage)
{
	shapeFile="./Models/ZLRPCompBow.dts";
	emap=true;
	correctMuzzleVector=true;
	className="Weaponimage";
	item=CpBowItem;
	ammo="";
	projectile=CpBowExpProjectile;
	projectileType=Projectile;
	melee=true;
	doReaction=false;
	armReady=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
   	mountPoint = 0;
   	offset = "0 0 0";
   	eyeOffset = "-0.1 0 -2.28";
   	rotation = eulerToMatrix( "0 0 0" );
	
	stateName[0]                    = "Activate";
	stateSequence[0]		= "Draw";
	stateTimeoutValue[0]            = 1.5;
	stateTransitionOnTimeout[0]     = "LoadCheckA";
	stateScript[0]                  = "onHide";

	stateName[1]                    = "Ready";
	stateTransitionOnNoAmmo[1]	= "ClipOut";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.5;
	stateTransitionOnTimeout[2]     = "Prep";
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateScript[2]                  = "onFire";
	stateSequence[2]		= "Fire";
	stateWaitForTimeout[2]		= true;
	stateSound[2]			= CpBowFireSound;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateTimeoutValue[3]	= 0.4;
	stateSequence[3]		= "Prep";
	stateTransitionOnTimeout[3]	= "FireLoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.01;
	stateAllowImageChange[4]        = true;
	stateScript[4]                  = "";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "ReadyWeap3";
	stateTransitionOnNoAmmo[6]		= "ReloadWait";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateScript[8]				= "onReloadStart";
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	stateSound[8]				= ASM200clipoutSound;
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateScript[10]				= "onReloaded";
	stateTransitionOnTimeout[10]		= "Ready";
	
	stateName[11]				= "FireLoadCheckA";
	stateScript[11]				= "onLoadCheck";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "FireLoadCheckB";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	stateTimeoutValue[13] 			= 0.00001;
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 1.0;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Pull";
	stateTransitionOnTimeout[15]	= "Set";
	stateSound[15]				= CpBowPullSound;
	stateWaitForTimeout[15]	= false;

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 3.0;
	stateWaitForTimeout[16]		= false;

	stateName[17] 			= "Abort";
	stateSequence[17]		= "Prep";
	stateTransitionOnTimeout[17]	= "Ready";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.4;
};	
datablock ShapeBaseImageData(CpBowBackImage)
{
  shapeFile = "./Models/DumZLRPCompBow.dts";
  emap = true;
  mountPoint = $BackSlot;
  offset = "0.1 -0.35 -0.15";
  eyeOffset = "0 0 10";
  rotation = eulerToMatrix("-200 0 270");
  armReady = false;
  doColorShift = false;
};

function CpBowImage::onHide(%this,%obj,%slot)
{%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}
function CpBowFireImage::onHide(%this,%obj,%slot)
{%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}
function CpBowIceImage::onHide(%this,%obj,%slot)
{%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}
function CpBowExpImage::onHide(%this,%obj,%slot)
{%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}

function CpBowimage::onReloaded(%this,%obj,%slot)
{
	if(%obj.client.quantity["CpArr"] >= 1)
	{
		if(%obj.client.quantity["CpArr"] > %this.item.maxAmmo)
		{
			%obj.client.quantity["CpArr"] -= %this.item.maxAmmo;
			%obj.AmmoSpent[%obj.currTool] = 0;
			%obj.toolAmmo[%obj.currTool] = %this.item.maxAmmo;
			%obj.setImageAmmo(%slot,1);
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>RegArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["CpArr"] @ "", 1, 2, 3, 4);
		}
		else if(%obj.client.quantity["CpArr"] <= %this.item.maxAmmo)
		{
			%obj.toolAmmo[%obj.currTool] = %obj.client.quantity["CpArr"];
			%obj.setImageAmmo(%slot,1);
			%obj.client.quantity["CpArr"] = 0;	
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>RegArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["CpArr"] @ "", 1, 2, 3, 4);
			return;
		}
	}
}
function CpBowFireimage::onReloaded(%this,%obj,%slot)
{
	if(%obj.client.quantity["FireArr"] >= 1)
	{
		if(%obj.client.quantity["FireArr"] > %this.item.maxAmmo)
		{
			%obj.client.quantity["FireArr"] -= %this.item.maxAmmo;
			%obj.AmmoSpent[%obj.currTool] = 0;
			%obj.toolAmmo[%obj.currTool] = %this.item.maxAmmo;
			%obj.setImageAmmo(%slot,1);
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>FireArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["FireArr"] @ "", 1, 2, 3, 4); 
		}
		else if(%obj.client.quantity["FireArr"] <= %this.item.maxAmmo)
		{
			%obj.toolAmmo[%obj.currTool] = %obj.client.quantity["FireArr"];
			%obj.setImageAmmo(%slot,1);
			%obj.client.quantity["FireArr"] = 0;	
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>FireArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["FireArr"] @ "", 1, 2, 3, 4); 
			return;
		}
	}
}
function CpBowIceimage::onReloaded(%this,%obj,%slot)
{
	if(%obj.client.quantity["IceArr"] >= 1)
	{
		if(%obj.client.quantity["IceArr"] > %this.item.maxAmmo)
		{
			%obj.client.quantity["IceArr"] -= %this.item.maxAmmo;
			%obj.AmmoSpent[%obj.currTool] = 0;
			%obj.toolAmmo[%obj.currTool] = %this.item.maxAmmo;
			%obj.setImageAmmo(%slot,1);
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>IceArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["IceArr"] @ "", 1, 2, 3, 4); 
		}
		else if(%obj.client.quantity["IceArr"] <= %this.item.maxAmmo)
		{
			%obj.toolAmmo[%obj.currTool] = %obj.client.quantity["IceArr"];
			%obj.setImageAmmo(%slot,1);
			%obj.client.quantity["IceArr"] = 0;	
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>IceArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["IceArr"] @ "", 1, 2, 3, 4); 
			return;
		}
	}
}
function CpBowExpimage::onReloaded(%this,%obj,%slot)
{
	if(%obj.client.quantity["ExpArr"] >= 1)
	{
		if(%obj.client.quantity["ExpArr"] > %this.item.maxAmmo)
		{
			%obj.client.quantity["ExpArr"] -= %this.item.maxAmmo;
			%obj.AmmoSpent[%obj.currTool] = 0;
			%obj.toolAmmo[%obj.currTool] = %this.item.maxAmmo;
			%obj.setImageAmmo(%slot,1);
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>ExpArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["ExpArr"] @ "", 1, 2, 3, 4); 
		}
		else if(%obj.client.quantity["ExpArr"] <= %this.item.maxAmmo)
		{
			%obj.toolAmmo[%obj.currTool] = %obj.client.quantity["ExpArr"];
			%obj.setImageAmmo(%slot,1);
			%obj.client.quantity["ExpArr"] = 0;	
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>ExpArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["ExpArr"] @ "", 1, 2, 3, 4); 
			return;
		}
	}
}

package CPBowSA
{
	function serverCmdCancelBrick(%client)
	{
		%obj = %client.player;
		if(%obj.isImageMounted(CpBowFireImage) && %obj.lastHitTime - getSimTime() < 1000)
		{
			//%newAmmo = %obj.toolAmmo[%obj.currTool];
			//%obj.toolAmmo[%obj.currTool] = %newAmmo;
			%obj.mountImage(CpBowIceImage, 0, 0, 0);
			commandToClient(%obj.client,'centerPrint',"\c2Ice", 1, 2, 3, 4);
			%client.setControlCameraFov(90);
		}
		else if(%obj.isImageMounted(CpBowIceImage) && %obj.lastHitTime - getSimTime() < 1000)
		{
			//%newAmmo = %obj.toolAmmo[%obj.currTool];
			//%obj.toolAmmo[%obj.currTool] = %newAmmo;
			%obj.mountImage(CpBowExpImage, 0, 0, 0);
			commandToClient(%obj.client,'centerPrint',"\c2Exp", 1, 2, 3, 4);
			%client.setControlCameraFov(90); 
		}
		else if(%obj.isImageMounted(CpBowExpImage) && %obj.lastHitTime - getSimTime() < 1000)
		{
			//%newAmmo = %obj.toolAmmo[%obj.currTool];
			//%obj.toolAmmo[%obj.currTool] = %newAmmo;
			%obj.mountImage(CpBowImage, 0, 0, 0);
			commandToClient(%obj.client,'centerPrint',"\c2Reg", 1, 2, 3, 4);
			%client.setControlCameraFov(90); 
		}
		else if(%obj.isImageMounted(CpBowImage) && %obj.lastHitTime - getSimTime() < 1000)
		{
			//%newAmmo = %obj.toolAmmo[%obj.currTool];
			//%obj.toolAmmo[%obj.currTool] = %newAmmo;
			%obj.mountImage(CpBowFireImage, 0, 0, 0);
			commandToClient(%obj.client,'centerPrint',"\c2Fire", 1, 2, 3, 4);
			%client.setControlCameraFov(90); 
		}
		%obj.lastHitTime = getSimTime();
		parent::serverCmdCancelBrick(%client);
	}
	function armor::onEnterLiquid(%this, %obj, %coverage, %type)
	{
		if(%type < 4) //Some sort of water
		{
			for(%i = 2; %i < 7; %i++)
			{
				if(%obj.getMountedImage(%i) == FireBurnPlayerImage.getID())
				{
					%obj.unmountImage(%i);
				}
			}
		}
		parent::onEnterLiquid(%this, %obj, %coverage, %type);
	}
};
activatePackage(CPBowSA);
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function CpBowimage::onMount(%this,%obj,%slot)	
{Parent::onMount(%this,%obj,%slot);%obj.playThread(0, armreadyboth);if(%obj.getMountedImage(1))
	{%obj.unMountImage(1);%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}

        commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>RegArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["CpArr"] @ "", 1, 2, 3, 4); 
}
function CpBowimage::onUnMount(%this,%obj,%slot)
{parent::onUnMount(%this,%obj,%slot);%obj.playThread(0, root);%obj.unMountImage(1);%obj.mountImage(CpBowBackImage,1);%obj.unhideNode("ALL");
	if(isObject(%obj.client))
	{%obj.client.applyBodyParts();%obj.client.applyBodyColors();}
	else{applyDefaultCharacterPrefs(%obj);}
	%obj.client.setControlCameraFov(90);
}
function CpBowFireimage::onMount(%this,%obj,%slot)	
{Parent::onMount(%this,%obj,%slot);%obj.playThread(0, armreadyboth);if(%obj.getMountedImage(1))
	{%obj.unMountImage(1);%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}

        commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>FireArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["FireArr"] @ "", 1, 2, 3, 4); 
}
function CpBowFireimage::onUnMount(%this,%obj,%slot)
{parent::onUnMount(%this,%obj,%slot);%obj.playThread(0, root);%obj.unMountImage(1);%obj.mountImage(CpBowBackImage,1);%obj.unhideNode("ALL");
	if(isObject(%obj.client))
	{%obj.client.applyBodyParts();%obj.client.applyBodyColors();}
	else{applyDefaultCharacterPrefs(%obj);}
	%obj.client.setControlCameraFov(90);
}
function CpBowIceimage::onMount(%this,%obj,%slot)	
{Parent::onMount(%this,%obj,%slot);%obj.playThread(0, armreadyboth);if(%obj.getMountedImage(1))
	{%obj.unMountImage(1);%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}

        commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>IceArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["IceArr"] @ "", 1, 2, 3, 4); 
}
function CpBowIceimage::onUnMount(%this,%obj,%slot)
{parent::onUnMount(%this,%obj,%slot);%obj.playThread(0, root);%obj.unMountImage(1);%obj.mountImage(CpBowBackImage,1);%obj.unhideNode("ALL");
	if(isObject(%obj.client))
	{%obj.client.applyBodyParts();%obj.client.applyBodyColors();}
	else{applyDefaultCharacterPrefs(%obj);}
	%obj.client.setControlCameraFov(90);
}
function CpBowExpimage::onMount(%this,%obj,%slot)	
{Parent::onMount(%this,%obj,%slot);%obj.playThread(0, armreadyboth);if(%obj.getMountedImage(1))
	{%obj.unMountImage(1);%obj.hideNode("RHand");%obj.hideNode("RHook");%obj.hideNode("LHand");%obj.hideNode("LHook");}

        commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>ExpArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["ExpArr"] @ "", 1, 2, 3, 4); 
}
function CpBowExpimage::onUnMount(%this,%obj,%slot)
{parent::onUnMount(%this,%obj,%slot);%obj.playThread(0, root);%obj.unMountImage(1);%obj.mountImage(CpBowBackImage,1);%obj.unhideNode("ALL");
	if(isObject(%obj.client))
	{%obj.client.applyBodyParts();%obj.client.applyBodyColors();}
	else{applyDefaultCharacterPrefs(%obj);}
	%obj.client.setControlCameraFov(90);
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////
function CpBowimage::onFire(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
	if(%obj.toolAmmo[%obj.currTool] > 1)
	{
		%obj.toolAmmo[%obj.currTool] = 1;
	}

	if(%obj.toolAmmo[%obj.currTool] > 0 && %obj.isImageMounted(CpBowImage))
	{
		%projectile = CpBowRegProjectile;%spread = 0.000;%shellcount = 1;%obj.toolAmmo[%obj.currTool]--;%obj.AmmoSpent[%obj.currTool]++;
        	commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>RegArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["CpArr"] @ "", 1, 2, 3, 4); 
		for(%shell=0; %shell<%shellcount; %shell++)
		{%vector = %obj.getMuzzleVector(%slot);%objectVelocity = %obj.getVelocity();%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);%velocity = VectorAdd(%vector1,%vector2);%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);%velocity = MatrixMulVector(%mat, %velocity);
			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}
    	if(%obj.client.quantity["CpArr"] < 1){%obj.client.quantity["CpArr"] = 0;}
}
function CpBowFireimage::onFire(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
	if(%obj.toolAmmo[%obj.currTool] > 1)
	{
		%obj.toolAmmo[%obj.currTool] = 1;
	}

	if(%obj.toolAmmo[%obj.currTool] > 0 && %obj.isImageMounted(CpBowFireImage))
	{
		%projectile = CpBowFireProjectile;%spread = 0.000;%shellcount = 1;%obj.toolAmmo[%obj.currTool]--;%obj.AmmoSpent[%obj.currTool]++;
        	commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>FireArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["FireArr"] @ "", 1, 2, 3, 4); 
		for(%shell=0; %shell<%shellcount; %shell++)
		{%vector = %obj.getMuzzleVector(%slot);%objectVelocity = %obj.getVelocity();%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);%velocity = VectorAdd(%vector1,%vector2);%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);%velocity = MatrixMulVector(%mat, %velocity);
			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}
	if(%obj.client.quantity["FireArr"] < 1){%obj.client.quantity["FireArr"] = 0;}
}
function CpBowIceimage::onFire(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
	if(%obj.toolAmmo[%obj.currTool] > 1)
	{
		%obj.toolAmmo[%obj.currTool] = 1;
	}

	if(%obj.toolAmmo[%obj.currTool] > 0 && %obj.isImageMounted(CpBowIceImage))
	{
		%projectile = CpBowIceProjectile;%spread = 0.000;%shellcount = 1;%obj.toolAmmo[%obj.currTool]--;%obj.AmmoSpent[%obj.currTool]++;
        	commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>IceArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["IceArr"] @ "", 1, 2, 3, 4); 
		for(%shell=0; %shell<%shellcount; %shell++)
		{%vector = %obj.getMuzzleVector(%slot);%objectVelocity = %obj.getVelocity();%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);%velocity = VectorAdd(%vector1,%vector2);%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);%velocity = MatrixMulVector(%mat, %velocity);
			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}

	if(%obj.client.quantity["IceArr"] < 1){%obj.client.quantity["IceArr"] = 0;}
}
function CpBowExpimage::onFire(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
	if(%obj.toolAmmo[%obj.currTool] > 1)
	{
		%obj.toolAmmo[%obj.currTool] = 1;
	}

	if(%obj.toolAmmo[%obj.currTool] > 0 && %obj.isImageMounted(CpBowExpImage))
	{
		%projectile = CpBowExpProjectile;%spread = 0.000;%shellcount = 1;%obj.toolAmmo[%obj.currTool]--;%obj.AmmoSpent[%obj.currTool]++;
        	commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>ExpArrows: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["ExpArr"] @ "", 1, 2, 3, 4); 
		for(%shell=0; %shell<%shellcount; %shell++)
		{%vector = %obj.getMuzzleVector(%slot);%objectVelocity = %obj.getVelocity();%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);%velocity = VectorAdd(%vector1,%vector2);%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);%velocity = MatrixMulVector(%mat, %velocity);
			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}
	if(%obj.client.quantity["ExpArr"] < 1){%obj.client.quantity["ExpArr"] = 0;}
}

package CpBowDropPackage
{
  function servercmdDropTool(%this,%slot)
  {
	parent::servercmdDropTool(%this,%slot);
	%this.player.schedule(5,unmountimage,1);
	%this.player.schedule(5,unmountimage,0);
  }
};
activatePackage(CpBowDropPackage);
function CpBowRegProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{$InputTarget_["Self"] = %col;$InputTarget_["Player"] = %obj.client.player;$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);
}

		else
{
if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);
}

			else
{
$InputTarget_["MiniGame"] = 0;
}
}
%col.processInputEvent(OnBowRegHit,%obj.client);
}

}
function CpBowFireProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{$InputTarget_["Self"] = %col;$InputTarget_["Player"] = %obj.client.player;$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);
}

		else
{
if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);
}

			else
{
$InputTarget_["MiniGame"] = 0;
}
}
%col.processInputEvent(OnBowFireHit,%obj.client);
}

}
function CpBowIceProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{$InputTarget_["Self"] = %col;$InputTarget_["Player"] = %obj.client.player;$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);
}

		else
{
if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);
}

			else
{
$InputTarget_["MiniGame"] = 0;
}
}
%col.processInputEvent(OnBowIceHit,%obj.client);
}

}
function CpBowExpProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{$InputTarget_["Self"] = %col;$InputTarget_["Player"] = %obj.client.player;$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);
}

		else
{
if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))
{
$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);
}

			else
{
$InputTarget_["MiniGame"] = 0;
}
}
%col.processInputEvent(OnBowExpHit,%obj.client);
}

}