AddDamageType("Javlin",   '<color:00FF00>Ranged<color:FFFFFF> %1',    '%2 <color:00FF00>Ranged %1',0.75,1);
datablock ProjectileData(JavlinProjectile)
{
	uiName="";
	projectileShapeName="./Models/JavlinProj.dts";
   	directDamage        = 35;
   	directDamageType    = $DamageType::Javlin;
	brickExplosionRadius=0;
	brickExplosionImpact=false;
	brickExplosionForce=30;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	impactImpulse=60;
	muzzleVelocity=70;
	verInheritFactor=0;
   	particleEmitter       = arrowTrailEmitter;
   	explodeOnPlayerImpact = true;
   	explodeOnDeath        = true;  
	lifetime=30000;
	fadeDelay=29900;
   	armingDelay= 3000;
   	bounceAngle= 170;
   	minStickVelocity= 10;
	bounceElasticity=0.2;
	bounceFriction=0.2;
	isBallistic=true;
	gravityMod=1.0;
	sound=CpBowWhizSound;

};
datablock ProjectileData(JavlinStabProjectile)
{
	uiName="";
	projectileShapeName="base/data/shapes/empty.dts";
   	directDamage        = 15;
   	directDamageType    = $DamageType::Javlin;
   	radiusDamage        = 0;
   	damageRadius        = 0;
   	radiusDamageType    = $DamageType::Javlin;
	brickExplosionRadius=0;
	brickExplosionImpact=false;
	brickExplosionForce=30;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	impactImpulse=60;
	muzzleVelocity=10;
	verInheritFactor=1;
	lifetime=100;
	fadeDelay=50;
   	armingDelay= 00;
	bounceElasticity=0.2;
	bounceFriction=0.2;
	isBallistic=false;
	gravityMod=1.0;

};
datablock ProjectileData(JavlinCutProjectile)
{
	uiName="";
	projectileShapeName="base/data/shapes/empty.dts";
   	directDamage        = 10;
   	directDamageType    = $DamageType::Javlin;
   	radiusDamage        = 0;
   	damageRadius        = 0;
   	radiusDamageType    = $DamageType::Javlin;
	brickExplosionRadius=0;
	brickExplosionImpact=false;
	brickExplosionForce=30;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	impactImpulse=60;
	muzzleVelocity=10;
	verInheritFactor=1;
	lifetime=100;
	fadeDelay=50;
   	armingDelay= 00;
	bounceElasticity=0.2;
	bounceFriction=0.2;
	isBallistic=false;
	gravityMod=1.0;

};
datablock ItemData(JavlinItem)
{
	uiName="Javlin";
	iconName="./icon_Javlin";
	image=Javlinimage;
	category=Weapon;
	className=Weapon;
	shapeFile="./Models/DumJavlin.dts";
	mass=1;
	density=0.2;
	elasticity=0;
	friction=0.6;
	emap=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
	canDrop=true;
	maxAmmo = 1;
	canReload = 1;
};

datablock shapeBaseimageData(Javlinimage)
{
	shapeFile="./Models/Javlin.dts";
	emap=true;
	correctMuzzleVector=true;
	className="Weaponimage";
	item=JavlinItem;
	ammo="";
	projectile=JavlinProjectile;
	projectileType=Projectile;
	melee=true;
	doReaction=false;
	armReady=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
   	mountPoint = 0;
   	offset = "0 0 0";
   	eyeOffset = "0 0 -2.0";
   	rotation = eulerToMatrix( "0 0 0" );
	
	stateName[0]                    = "Activate";
	stateSequence[0]		= "Draw";
	stateTimeoutValue[0]            = 0.8;
	stateTransitionOnTimeout[0]     = "Ready";

	stateName[1]                    = "Ready";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.5;
	stateTransitionOnTimeout[2]     = "Prep";
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateScript[2]                  = "onFireStab";
	stateSequence[2]		= "Stab2";
	stateWaitForTimeout[2]		= true;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateTimeoutValue[3]	= 0.001;
	stateTransitionOnTimeout[3]	= "FireLoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.01;
	stateAllowImageChange[4]        = true;
	stateScript[4]                  = "";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "ReadyWeap3";
	stateTransitionOnNoAmmo[6]		= "ReloadWait";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	stateSound[8]				= ASM200clipoutSound;
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateTransitionOnTimeout[10]		= "Ready";
	
	stateName[11]				= "FireLoadCheckA";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "Wait";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	stateTimeoutValue[13] 			= 0.00001;
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 0.6;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Stab1";
	stateTransitionOnTimeout[15]	= "Set";
	stateWaitForTimeout[15]	= false;

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 0.01;
	stateWaitForTimeout[16]		= false;

	stateName[17] 			= "Abort";
	stateSequence[17]		= "Cut1";
	stateTransitionOnTimeout[17]	= "Abort2";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.2;

	stateName[18] 			= "Abort2";
	stateSequence[18]		= "Cut2";
	stateTransitionOnTimeout[18]	= "Ready";
	stateWaitForTimeout[18]		= true;
	stateFire[18]                    = true;
	stateAllowImageChange[18]        = false;
	stateScript[18]                  = "onFireCut";
	stateAllowImageChange[18]	= false;
	stateTimeoutValue[18]		= 0.3;
};	

datablock ShapeBaseImageData(JavlinBackImage)
{
  shapeFile = "./Models/DumJavlin.dts";
  emap = true;
  mountPoint = $BackSlot;
  offset = "0.1 -0.35 -0.15";
  eyeOffset = "0 0 10";
  rotation = eulerToMatrix("-200 0 270");
  armReady = false;
  doColorShift = false;
};

datablock ShapeBaseImageData(JavlinStickImage)
{
   shapeFile = "./Models/DumJavlin.dts";
   emap = false;

   mountPoint = 5;
   rotation = "0 90 0 0";
   offset = "-0.005 -0.02 0.18";

   stateName[0]            = "Ready";
   stateTransitionOnTimeout[0]      = "Ready";
   stateTimeoutValue[0]         = 1;
   
   armReady = true;
};

function JavlinThrowimage::onReloaded(%this,%obj,%slot)
{
    	if(%obj.client.quantity["Javlin"] > 0)
	{
		%obj.client.quantity["Javlin"] --;
		%obj.toolAmmo[%obj.currTool] = 1;
		%obj.setImageAmmo(%slot,1);
 		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Javlins: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Javlin"] @ "", 1, 2, 3, 4);
		return;
	}
        if(%obj.client.quantity["Javlin"] < 0)
	{
		%obj.setImageAmmo(%slot,1);
		%obj.client.quantity["Javlin"] = 0;
 		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Javlins: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Javlin"] @ "", 1, 2, 3, 4); 
		return;
	}
}

function Javlinimage::onMount(%this,%obj,%slot)	
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
        commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Javlins: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Javlin"] @ "", 1, 2, 3, 4); 

}

function Javlinimage::onUnMount(%this,%obj,%slot)
{
	parent::onUnMount(%this,%obj,%slot);
	%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(JavlinBackImage,1);
	%obj.unhideNode("ALL");
	if(isObject(%obj.client))
	{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
	%obj.client.setControlCameraFov(90);
}

package JavlinThrow
{
	function armor::onTrigger(%this, %obj, %triggerNum, %val)
	{
		%client = %obj.client;
		if(%triggerNum == 4 && %obj.isImageMounted(JavlinImage) && %obj.client.quantity["Javlin"] > 0 && %val)
		{
			%newAmmo = %obj.toolAmmo[%obj.currTool];
			%obj.toolAmmo[%obj.currTool] = %newAmmo;
			%obj.mountImage(JavlinThrowImage, 0, 0, 0);
		}
		Parent::onTrigger(%this, %obj, %triggerNum, %val);
	}
};
activatePackage(JavlinThrow);

datablock ShapeBaseImageData(JavlinThrowImage)
{
   shapeFile = "./Models/Javlin.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   rotation = eulerToMatrix("0 0 0");
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = JavlinItem;
   ammo = " ";
   projectile = JavlinProjectile;
   projectileType = Projectile;
   melee = true;
   canDrop = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   
	stateName[0]                    = "Equip";
	stateTimeoutValue[0]            = 0.4;
	stateTransitionOnTimeout[0]     = "Fire";
	stateAllowImageChange[0]        = false;
	stateSequence[0]		= "Set";
	stateWaitForTimeout[0]		= true;
	stateEjectShell[0]              = false;

	stateName[1]                    = "Ready";
	stateTransitionOnNoAmmo[1]	= "reloadfinish";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.2;
	stateTransitionOnTimeout[2]     = "Prep";
	stateAllowImageChange[2]        = false;
	stateSequence[2]		= "Throw1";
	stateWaitForTimeout[2]		= true;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateTimeoutValue[3]	= 0.4;
	stateSequence[3]		= "Throw2";
	stateFire[3]                    = true;
	stateAllowImageChange[3]        = false;
	stateScript[3]                  = "onFire";
	stateTransitionOnTimeout[3]	= "LoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.01;
	stateAllowImageChange[4]        = true;
	stateScript[4]                  = "";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "unEquip";
	stateTransitionOnNoAmmo[6]		= "reloadFinish";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateScript[8]				= "onReloadStart";
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateScript[10]				= "onReloaded";
	stateTransitionOnTimeout[10]		= "UnEquip";
	
	stateName[11]				= "FireLoadCheckA";
	stateScript[11]				= "onLoadCheck";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "FireLoadCheckB";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	stateTimeoutValue[13] 			= 0.00001;
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 0.8;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Set";
	stateTransitionOnTimeout[15]	= "Set";
	stateWaitForTimeout[15]	= false;

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 3.0;
	stateWaitForTimeout[16]		= false;

	stateName[17] 			= "Abort";
	stateSequence[17]		= "Cut1";
	stateTransitionOnTimeout[17]	= "Unequip";
	//stateSequence[17]		= "Draw";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.5;

	stateName[18] 			= "Abort2";
	stateSequence[18]		= "Cut2";
	stateTransitionOnTimeout[18]	= "Ready";
	stateWaitForTimeout[18]		= true;
	stateFire[18]                    = true;
	stateAllowImageChange[18]        = false;
	stateScript[18]                  = "onFireCut";
	stateAllowImageChange[18]	= false;
	stateTimeoutValue[18]		= 0.5;

	stateName[19]			= "UnEquip";
	stateTimeoutValue[19]		= 0.01;
	stateScript[19]			= "onUnEquip";

};

function JavlinThrowImage::onUnEquip(%this,%obj,%slot)
{
	%newAmmo = %obj.toolAmmo[%obj.currTool];
	%obj.toolAmmo[%obj.currTool] = %newAmmo;
	%obj.mountImage(Javlinimage, 0, 0, 0);
}

function JavlinThrowImage::onMount(%this, %obj, %slot)
{		
	Parent::onMount(%this,%obj,%slot);
	//%obj.playThread(1, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}


function JavlinThrowImage::onUnMount(%this, %obj, %slot)
{	
	Parent::onUnMount(%this,%obj,%slot);
	//%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(JavlinBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}

//function JavlinProjectile::onExplode(%this,%obj,%col,%fade,%pos,%norm)
//{
//     if(!isObject(%obj.item))
//  	%obj.item = new Item()
//  	{
//  	 dataBlock = JavlinstaticItem;
//  	 canPickup = 1;
//  	 static = 0;
//  	 sourceObject = %obj;
//  	};MissionCleanup.add(%obj.item);
//   	%obj.item.setTransform(vectorAdd(%obj.getPosition(),"0 0 0") SPC "0 0 0 0");
//   	%obj.item.schedule(30000, delete);
//   	parent::onExplode(%this, %obj);
//}

function JavlinThrowimage::onFire(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
	%transform = %obj.getTransform();  
	$throwRot = getWord(%transform, 3) SPC getWord(%transform, 4) SPC getWord(%transform, 5) SPC getWord(%transform, 6);
	
	if(%obj.toolAmmo[%obj.currTool] > 0 && %obj.isImageMounted(JavlinThrowImage))
	{
		%projectile = JavlinProjectile;
		%spread = 0.000;
		%shellcount = 1;
		%obj.toolAmmo[%obj.currTool]--;
        	commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Javlins: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Javlin"] @ "", 1, 2, 3, 4); 

		for(%shell=0; %shell<%shellcount; %shell++)
		{
			%vector = %obj.getMuzzleVector(%slot);
			%objectVelocity = %obj.getVelocity();
			%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
			%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
			%velocity = VectorAdd(%vector1,%vector2);
			%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
			%velocity = MatrixMulVector(%mat, %velocity);
	
			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}

}
function Javlinimage::onFireStab(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
   	%raycastWeaponRange = 5;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = JavlinStabProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 15;
   	%raycastDirectDamageType = $DamageType::Javlin;
	%raycastFromMuzzle	= false;

	%projectile = JavlinStabprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}
function Javlinimage::onFireCut(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
   	%raycastWeaponRange = 5;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = JavlinCutProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 10;
   	%raycastDirectDamageType = $DamageType::Javlin;
	%raycastFromMuzzle	= false;

	%projectile = JavlinCutprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}
activatePackage(JavlinDropPackage);
function JavlinCutProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnJavlinCut,%obj.client);

	}

}

function JavlinStabProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnJavlinStab,%obj.client);

	}

}

function JavlinProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{


	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnJavlinProj,%obj.client);

	} 
	   %trans = %pos SPC $throwRot;
       %javlin = new StaticShape()  
       {  
          datablock = "JavlinstaticItem";  
       };  
       %javlin.setTransform(%trans);
	   
       MissionCleanup.add(%javlin);
}

//function JavlinThrowImage::onLoadCheck(%this,%obj,%slot)
//{
//	if(%obj.toolammo[%obj.currTool]>%this.item.maxammo)
//	
//	{
//		%obj.toolammo[%obj.currTool]=%this.item.maxammo;
//	
//	}
//}