datablock ProjectileData(ShovelBuntprojectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 7;
   directDamageType  = $DamageType::Shovel;

   explosion           = ShovelExplosion;
   //particleEmitter     = as;

   muzzleVelocity      = 10;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "ShovelBunt";
};
AddDamageType("Shovel",   '<color:00FF00>Dug<color:FFFFFF> %1',    '%2 <color:00FF00>Dug %1',0.75,1);
datablock ProjectileData(ShovelBashprojectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 15;
   directDamageType  = $DamageType::Shovel;

   explosion           = ShovelExplosion;
   //particleEmitter     = as;

   muzzleVelocity      = 10;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "ShovelBash";
};
datablock ProjectileData(ShovelDigprojectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 15;
   directDamageType  = $DamageType::Shovel;

   explosion           = ShovelExplosion;

   muzzleVelocity      = 10;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "ShovelDig";
};

datablock ItemData(ShovelItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./Models/ItemShovel.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Shovel";
	iconName = "./Icon_Shovel";
	doColorShift = false;
	colorShiftColor = "0.25 0.25 0.25 1.000";
	image = DrawShovelImage;
	canDrop = true;
};

datablock ShapeBaseImageData(DrawShovelImage)
{
   shapeFile = "./Models/Shovel.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = ShovelItem;
   ammo = " ";
   projectile = ShovelProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   colorShiftColor = ShovelItem.colorShiftColor;

	stateName[0]                    = "Activate";
	stateTimeoutValue[0]            = 1.0;
	stateSequence[0]			  = "Draw";
	stateTransitionOnTimeout[0]     = "Ready";
	stateSound[0]			  = Tool1EquipSound;

	stateName[1]                    	= "Ready";
	stateScript[1]     = "onSetup";
};

datablock ShapeBaseImageData(ShovelImage)
{
   shapeFile = "./Models/Shovel.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = ShovelItem;
   ammo = " ";
   projectile = ShovelBuntProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   colorShiftColor = ShovelItem.colorShiftColor;

	stateName[0]			= "Activate";
	stateTimeoutValue[0]		= 0.001;
	stateSequence[0]		= "Bunt2";
	stateTransitionOnTimeout[0]	= "Ready";
	stateScript[0]			= "onHide";
	
	stateName[1]			= "Ready";
	stateTransitionOnTriggerDown[1]	= "Charge";
	stateAllowImageChange[1]	= true;
	
	stateName[2]                    = "Charge";
	stateScript[2]			= "onPreFire";
	stateTransitionOnTimeout[2]	= "Armed";
	stateTimeoutValue[2]            = 0.8;
	stateSequence[2]		= "Potential";
	stateWaitForTimeout[2]		= false;
	stateTransitionOnTriggerUp[2]	= "AbortCharge";
	stateAllowImageChange[2]        = false;
	
	stateName[3]			= "AbortCharge";
	stateTransitionOnTimeout[3]	= "Abortcharge2";
	stateTimeoutValue[3]		= 0.2;
	stateSequence[3]		= "Bunt1";
	stateWaitForTimeout[3]		= true;
	stateAllowImageChange[3]	= false;
	stateSound[3]			= SwingMedium2Sound;
	stateAllowImageChange[3]	= false;
	
	stateName[4]			= "Armed";
	stateTransitionOnTimeout[4]	= "Strain";
	stateTimeoutValue[4]		= 0.1;
	stateWaitForTimeout[4]		= false;
	stateTransitionOnTriggerUp[4]	= "Fire";
	stateAllowImageChange[4]	= false;
	
	stateName[5]			= "Strain";
	stateTransitionOnTimeout[5]	= "Strain";
	stateTimeoutValue[5]		= 0.1;
	stateTransitionOnTriggerUp[5]	= "Fire";
	stateAllowImageChange[5]	= false;
	
	stateName[6]			= "Fire";
	stateTransitionOnTimeout[6]	= "Fire2";
	stateTimeoutValue[6]		= 0.2;
	stateSequence[6]		= "Bash1";
	stateWaitForTimeout[6]		= true;
	stateAllowImageChange[6]	= false;
	stateSound[6]			= SwingLarge2Sound;

	stateName[7]			= "AbortCharge2";
	stateTransitionOnTimeout[7]	= "Ready";
	stateTimeoutValue[7]		= 0.5;
	stateFire[7]			= true;
	stateSequence[7]		= "Bunt2";
	stateScript[7]			= "onFire";
	stateWaitForTimeout[7]		= true;
	stateAllowImageChange[7]	= false;

	stateName[8]			= "Fire2";
	stateTransitionOnTimeout[8]	= "Ready";
	stateTimeoutValue[8]		= 1.0;
	stateFire[8]			= true;
	stateSequence[8]		= "Bash2";
	stateScript[8]			= "onFireBash";
	stateWaitForTimeout[8]		= true;
	stateAllowImageChange[8]	= false;
};

datablock ShapeBaseImageData(ShovelBackImage)
{
  shapeFile = "./Models/ItemShovel.dts";
  emap = true;
  mountPoint = $BackSlot;
  offset = "0.1 -0.35 0.01";
  eyeOffset = "0 0 10";
  rotation = eulerToMatrix("-200 0 270");
  armReady = false;
  doColorShift = false;
};

function ShovelImage::onHide(%this,%obj,%slot)
{
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
}

function DrawShovelImage::onSetup(%this,%obj,%slot)
{
	%obj.mountImage(ShovelImage, 0, 0, 0);
}

function ShovelImage::onPreFire(%this,%obj,%slot)
{
	%obj.bowChargeTime = getSimTime();
}

function ShovelImage::onFire(%this,%obj,%slot)
{
   	%raycastWeaponRange = 3;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = ShovelBuntProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 10;
   	%raycastDirectDamageType = $DamageType::Shovel;
	%raycastFromMuzzle	= false;

	%projectile = ShovelBuntprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}

function ShovelImage::onFireBash(%this,%obj,%slot)
{
   	%raycastWeaponRange = 5;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = ShovelBashProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 15;
   	%raycastDirectDamageType = $DamageType::Shovel;
	%raycastFromMuzzle	= false;

	%projectile = ShovelBashprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}
function ShovelMeleeImage::onFireDig(%this,%obj,%slot)
{
   	%raycastWeaponRange = 4;
   	%raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   					$TypeMasks::PlayerObjectType |	//AI/Players
   					$TypeMasks::StaticObjectType |	//Static Shapes
   					$TypeMasks::TerrainObjectType |	//Terrain
   					$TypeMasks::VehicleObjectType;	//Vehicles
   	%raycastWeaponPierceTargets = "";
   	%raycastExplosionProjectile = ShovelDigProjectile;				//Gun cannot pierce
   	%raycastExplosionPlayerSound = PHitSound;
   	%raycastExplosionBrickSound = MetalHit1Sound;
   	%raycastDirectDamage = 15;
   	%raycastDirectDamageType = $DamageType::Shovel;
	%raycastFromMuzzle	= false;

	%projectile = ShovelDigprojectile;
	%spread = 0.0000;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}
function ShovelImage::onFire(%this, %obj, %slot)
{
	if(getRandom(0,1))
	{
		%this.raycastExplosionBrickSound = MetalHit1Sound;
		%this.raycastExplosionPlayerSound = PHitSound;
	}
	else
	{
		%this.raycastExplosionBrickSound = MetalHit1Sound;
		%this.raycastExplosionPlayerSound = PHit2Sound;
	}
	WeaponImage::onFire(%this, %obj, %slot);
}

function DrawShovelImage::onMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}

function DrawShovelImage::onUnMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(ShovelBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}

function ShovelImage::onMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}

function ShovelImage::onUnMount(%this, %obj, %slot)
{
	Parent::onMount(%this,%obj,%slot);
	%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(ShovelBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}

package ShovelDropPackage
{
  function servercmdDropTool(%this,%slot)
  {
	parent::servercmdDropTool(%this,%slot);
	%this.player.schedule(5,unmountimage,1);
	%this.player.schedule(5,unmountimage,0);
  }
};
activatepackage(ShovelDropPackage);

package ShovelMelee
{
	function armor::onTrigger(%this, %obj, %triggerNum, %val)
	{
		%client = %obj.client;
		if(%triggerNum == 4 && %obj.isImageMounted(ShovelImage))
		{
			%obj.mountImage(ShovelMeleeImage, 0, 0, 0);
		}
		Parent::onTrigger(%this, %obj, %triggerNum, %val);
	}
};
activatePackage(ShovelMelee);

datablock ShapeBaseImageData(ShovelMeleeImage)
{
   shapeFile = "./Models/Shovel.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   rotation = eulerToMatrix("0 0 0");
   eyeOffset = "0 0 -2.0";
   correctMuzzleVector = false;
   className = "WeaponImage";
   item = ShovelItem;
   ammo = " ";
   projectile = ShovelProjectile;
   projectileType = Projectile;
   melee = true;
   canDrop = true;
   doRetraction = false;
   armReady = true;
   doColorShift = false;
   
   raycastWeaponRange = 3;
   raycastWeaponTargets = $TypeMasks::FxBrickObjectType |	//Targets the weapon can hit: Raycasting Bricks
   				$TypeMasks::PlayerObjectType |	//AI/Players
   				$TypeMasks::StaticObjectType |	//Static Shapes
   				$TypeMasks::TerrainObjectType;	//Terrain
   raycastExplosionProjectile = ShovelProjectile;
   raycastExplosionBrickSound = WHitSound;
   raycastExplosionPlayerSound = PHitSound;
   raycastDirectDamage = 15;
   raycastDirectDamageType = $DamageType::ShovelMelee;
   
	stateName[0]			= "Equip";
	stateTimeoutValue[0]		= 0.01;
	stateSequence[0]		= "Dig2";
	stateTransitionOnTimeout[0]	= "Attack";
	//stateScript[0]			= "onEquip";

	stateName[1]			= "Attack";
	stateTimeoutValue[1]		= 0.3;
	stateWaitForTimeout[1]		= true;
	stateSound[1]			= SwingLarge1Sound;
	stateSequence[1]		= "Dig1";
	stateTransitionOnTimeout[1]	= "Att2";

	stateName[2]			= "UnEquip";
	stateTimeoutValue[2]		= 0.01;
	stateScript[2]			= "onUnEquip";

	stateName[3]			= "Att2";
	stateTimeoutValue[3]		= 1.0;
	stateWaitForTimeout[3]		= true;
	stateSequence[3]		= "Dig2";
	stateFire[3]			= true;
	stateScript[3]			= "onFireDig";
	stateTransitionOnTimeout[3]	= "UnEquip";
};
function ShovelMeleeImage::onUnEquip(%this, %obj, %slot)
{
	%obj.unMountImage(0);
	%obj.MountImage(ShovelImage, 0, 0, 0);
}


function ShovelMeleeImage::onMount(%this, %obj, %slot)
{		
	Parent::onMount(%this,%obj,%slot);
	//%obj.playThread(1, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
}


function ShovelMeleeImage::onUnMount(%this, %obj, %slot)
{	
	Parent::onUnMount(%this,%obj,%slot);
	//%obj.playThread(0, root);
  	%obj.unMountImage(1);
  	%obj.mountImage(ShovelBackImage,1);
	%obj.unHideNode("ALL");
	if(isObject(%obj.client))
	{
		%obj.client.applyBodyParts();
		%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
}
function ShovelBuntProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnShovelBunt,%obj.client);

	}

}
function ShovelBashProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnShovelBash,%obj.client);

	}

}
function ShovelDigProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnShovelDig,%obj.client);

	}

}