AddDamageType("ThrRocks",   '<color:00FF00>Ranged<color:FFFFFF> %1',    '%2 <color:00FF00>Ranged %1',0.75,1);
datablock ProjectileData(ThrRocksRegProjectile)
{
	uiName="";
	projectileShapeName="./Models/RockProj.dts";
   	directDamage        = 1;
   	directDamageType    = $DamageType::ThrRocks;
   	radiusDamage        = 0;
   	damageRadius        = 0;
   	radiusDamageType    = $DamageType::ThrRocks;
	brickExplosionRadius=0;
	brickExplosionImpact=false;
	brickExplosionForce=30;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	impactImpulse=60;
	muzzleVelocity=30;
	verInheritFactor=1;
   	explosion             = gunExplosion;
   	explodeOnPlayerImpact = true;
   	explodeOnDeath        = true;  
	lifetime=30000;
	fadeDelay=29900;
   	armingDelay= 0;
	bounceElasticity=0.2;
	bounceFriction=0.2;
	isBallistic=true;
	gravityMod=1.0;
	sound=CpBowWhizSound;

};

datablock ItemData(ThrRocksItem)
{
	uiName="";
	iconName="./icon_ThrRocks";
	image=ThrRocksimage;
	category=Weapon;
	className=Weapon;
	shapeFile="./Models/DumThrRocks.dts";
	mass=1;
	density=0.2;
	elasticity=0;
	friction=0.6;
	emap=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
	canDrop=true;
	maxAmmo = 1;
	canReload = 1;
};

datablock ShapeBaseImageData(SideBagImage)
{
   shapeFile = "./Models/SideBag.dts";
   emap = false;

   mountPoint = 7;
   rotation = "0 0 0 0";
   offset = "0 0 0.2";

   stateName[0]            = "Ready";
   stateTransitionOnTimeout[0]      = "Ready";
   stateTimeoutValue[0]         = 1;
   
   armReady = true;
};

datablock shapeBaseimageData(ThrRocksimage)
{
	shapeFile="./Models/ThrRocks.dts";
	emap=true;
	correctMuzzleVector=true;
	className="Weaponimage";
	item=ThrRocksItem;
	ammo="";
	projectile=ThrRocksRegProjectile;
	projectileType=Projectile;
	melee=true;
	doReaction=false;
	armReady=true;
	doColorShift=false;
	colorShiftColor="1 1 1 1";
   	mountPoint = 0;
   	offset = "0 0 0";
   	eyeOffset = "0 0 -2.0";
   	rotation = eulerToMatrix( "0 0 0" );
	
	stateName[0]                    = "Activate";
	stateSequence[0]		= "Draw";
	stateTimeoutValue[0]            = 0.5;
	stateScript[0]                  = "onHide";
	stateTransitionOnTimeout[0]     = "LoadCheckA";

	stateName[1]                    = "Ready";
	stateTransitionOnNoAmmo[1]	= "ClipOut";
	stateTransitionOnTriggerDown[1] = "Pull";
	stateAllowImageChange[1]        = true;

	stateName[2]                    = "Fire";
	stateTimeoutValue[2]            = 0.2;
	stateTransitionOnTimeout[2]     = "Prep";
	stateAllowImageChange[2]        = false;
	stateSequence[2]		= "Fire1";
	stateWaitForTimeout[2]		= true;
	stateEjectShell[2]              = false;

	stateName[3] 			= "Prep";
	stateAllowImageChange[3]        = false;
	stateWaitForTimeout[3]		= true;
	stateFire[3]                    = true;
	stateScript[3]                  = "onFire";
	stateSequence[3]		= "Fire2";
	stateTimeoutValue[3]	= 0.4;
	stateTransitionOnTimeout[3]	= "FireLoadCheckA";

	stateName[4]			= "Wait";
	stateTimeoutValue[4]		= 0.4;
	stateAllowImageChange[4]        = true;
	stateWaitForTimeout[4]		= true;
	stateSequence[4]		= "Draw";
	stateTransitionOnTriggerUp[4] = "Delay";
	
	stateName[5]				= "LoadCheckA";
	stateScript[5]				= "onLoadCheck";
	stateTimeoutValue[5]			= 0.01;
	stateTransitionOnTimeout[5]		= "LoadCheckB";
	
	stateName[6]				= "LoadCheckB";
	stateTransitionOnAmmo[6]		= "ReadyWeap3";
	stateTransitionOnNoAmmo[6]		= "ReloadWait";
	
	stateName[7]				= "ReloadWait";
	stateTimeoutValue[7]			= 0.001;
	stateScript[7]				= "";
	stateTransitionOnTimeout[7]		= "ClipOut";

	stateName[8]				= "ClipOut";
	stateTimeoutValue[8]			= 0.001;
	stateScript[8]				= "onReloadStart";
	stateAllowImageChange[8]        = true;
	stateTransitionOnTimeout[8]		= "ClipIn";
	
	stateName[9]				= "ClipIn";
	stateTimeoutValue[9]			= 0.001;
	stateAllowImageChange[9]        = true;
	stateSequence[9]			= "Reload";
	stateTransitionOnTimeout[9]		= "reloadFinish";
	
	stateName[10]				= "reloadFinish";
	stateTimeoutValue[10]			= 0.001;
	stateAllowImageChange[10]        = false;
	stateScript[10]				= "onReloaded";
	stateTransitionOnTimeout[10]		= "Ready";
	
	stateName[11]				= "FireLoadCheckA";
	stateScript[11]				= "onLoadCheck";
	stateTimeoutValue[11]			= 0.01;
	stateTransitionOnTimeout[11]		= "FireLoadCheckB";
	
	stateName[12]				= "FireLoadCheckB";
	stateTransitionOnAmmo[12]		= "Wait";
	stateTransitionOnNoAmmo[12]		= "ReloadWait";
	
	stateName[13]				= "Delay";
	stateTransitionOnTimeout[13]		= "Ready";
	
	stateName[14]				= "ReadyWeap3";
	stateTransitionOnTimeout[14]		= "Ready";

	stateName[15] 			= "Pull";
	stateAllowImageChange[15]        = false;
	stateTimeoutValue[15]	= 0.3;
	stateTransitionOnTriggerUp[15] = "Abort";
	stateSequence[15]		= "Set";
	stateTransitionOnTimeout[15]	= "Set";
	stateWaitForTimeout[15]	= false;

	stateName[16] 			= "Set";
	stateTransitionOnTriggerUp[16] = "Fire";
	stateAllowImageChange[16]	= false;
	stateTimeoutValue[16]            = 3.0;
	stateWaitForTimeout[16]		= false;

	stateName[17] 			= "Abort";
	stateSequence[17]		= "fail";
	stateTransitionOnTimeout[17]	= "Ready";
	stateWaitForTimeout[17]		= true;
	stateAllowImageChange[17]	= false;
	stateTimeoutValue[17]		= 0.4;
};	
function ThrRocksimage::onHide(%this,%obj,%slot)
{
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
}

function ThrRocksimage::onReloaded(%this,%obj,%slot)
{
    	if(%obj.client.quantity["Rocks"] >= 1)
	{
        	if(%obj.client.quantity["Rocks"] > 1)
		{
			%obj.client.quantity["Rocks"] -= %obj.AmmoSpent[%obj.currTool];
			%obj.toolAmmo[%obj.currTool]=%this.item.maxAmmo;
			%obj.AmmoSpent[%obj.currTool] = 0;
			%obj.setImageAmmo(%slot,1);
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Rocks: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Rocks"] @ "", 1, 2, 3, 4); 
			return;
		}
        	if(%obj.client.quantity["Rocks"] <= 1)
		{
			%obj.client.exchangebullets = %obj.client.quantity["Rocks"];
			%obj.toolAmmo[%obj.currTool] = %obj.client.exchangebullets;
			%obj.setImageAmmo(%slot,1);
			%obj.client.quantity["Rocks"] = 0;
        		commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Rocks: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Rocks"] @ "", 1, 2, 3, 4); 
			return;
		}
	}
}

function ThrRocksimage::onMount(%this,%obj,%slot)	
{
	Parent::onMount(%this,%obj,%slot);
	%obj.mountImage(SideBagImage,3);
	%obj.playThread(0, armreadyboth);
  	if(%obj.getMountedImage(1))
	{
		%obj.unMountImage(1);
		%obj.hideNode("RHand");
		%obj.hideNode("RHook");
		%obj.hideNode("LHand");
		%obj.hideNode("LHook");
	}
        commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Rocks: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Rocks"] @ "", 1, 2, 3, 4); 

}

function ThrRocksimage::onUnMount(%this,%obj,%slot)
{
	parent::onUnMount(%this,%obj,%slot);
	%obj.unMountImage(3);
	%obj.playThread(0, root);
	%obj.unhideNode("ALL");
	if(isObject(%obj.client))
	{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();
	}
	else
	{
		applyDefaultCharacterPrefs(%obj);
	}
	%obj.client.setControlCameraFov(90);
}

function ThrRocksRegProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)
{
if(%col.getClassName() $= "Player"){
if(getword(%pos, 2) > getword(%col.getWorldBoxCenter(), 2) - 3.3){
parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}
}else{
%Rock = new StaticShape()
{
   position = %pos;
   datablock = RockstaticItem;
   scale = "1 1 1";
   rotation = %obj.client.player.srot;
};
%Rock.settransform(%obj.transform);
schedule(20000,0,"RockVan", %Rock);
}
parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}

function RockVan(%obj)
{
%obj.delete();
}

function ThrRocksimage::onFire(%this,%obj,%slot,%spread,%shellcount,%recoil)
{
	if(%obj.toolAmmo[%obj.currTool] > 1)
	{
		%obj.toolAmmo[%obj.currTool] = 1;
	}

	if(%obj.toolAmmo[%obj.currTool] > 0 && %obj.isImageMounted(ThrRocksImage))
	{
		%projectile = ThrRocksRegProjectile;
		%spread = 0.000;
		%shellcount = 1;
		%obj.toolAmmo[%obj.currTool]--;
		%obj.AmmoSpent[%obj.currTool]++;
        	commandToClient(%obj.client,'bottomPrint',"<just:right><color:ffffff>Rocks: \c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ %obj.client.quantity["Rocks"] @ "", 1, 2, 3, 4); 
		for(%shell=0; %shell<%shellcount; %shell++)
		{
			%vector = %obj.getMuzzleVector(%slot);
			%objectVelocity = %obj.getVelocity();
			%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
			%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
			%velocity = VectorAdd(%vector1,%vector2);
			%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
			%velocity = MatrixMulVector(%mat, %velocity);
	
			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}
    	if(%obj.client.quantity["Rocks"] < 1)
	{
		%obj.client.quantity["Rocks"] = 0;
	}
}

activatePackage(ThrRocksDropPackage);
function ThrRocksRegProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)

{

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);

	if(%col.getClassName() $= "fxDTSBrick")

	{

		$InputTarget_["Self"] = %col;

		$InputTarget_["Player"] = %obj.client.player;

		$InputTarget_["Client"] = %obj.client;

		if($Server::LAN)

		{

			$InputTarget_["MiniGame"] = getMiniGameFromObject(%obj.client);

		}

		else

		{

			if(getMiniGameFromObject(%col) == getMiniGameFromObject(%obj.client))

			{

				$InputTarget_["MiniGame"] = getMiniGameFromObject(%col);

			}

			else

			{

				$InputTarget_["MiniGame"] = 0;

			}

		}

		%col.processInputEvent(OnRockHit,%obj.client);

	}

}
package ThrRocks
{
	function serverCmdRocks(%client)
	{
		%obj = %client.player;
		if(%obj.lastKnife - getSimTime() < 1000 && %obj.client.quantity["Rocks"] > 0)
		{
	 		%obj.oldItem = %obj.getMountedImage(0);
	 		%obj.mountImage(ThrRocksImage, 0);
		}
		else if(%obj.isImageMounted(ThrRocksImage) && %obj.lastKnife - getSimTime() < 1000)
		{
			%obj.oldItem = %obj.getMountedImage(0);
		}
		else
		{
			commandToClient(%obj.client,'centerPrint',"<just:right><color:ffffff>You dont have Rocks \c6", 1, 2, 3, 4); 
		}
		%obj.lastKnife = getSimTime();
		parent::serverCmdRocks(%client);
	}
};   
ActivatePackage(ThrRocks);